<?php

use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\SMTP;
use PHPMailer\PHPMailer\Exception;

require 'vendor/autoload.php';


function SendEmail($email, $body)
{
    $mail = new PHPMailer(true);

    try {
        $mail->isSMTP();
        $mail->Host       = getenv('MAIL_HOST');
        $mail->SMTPAuth   = true;
        $mail->Username   = getenv('MAIL_USER');
        $mail->Password   = getenv('MAIL_PASS');
        $mail->SMTPSecure = PHPMailer::ENCRYPTION_SMTPS;
        $mail->Port       = 465;

        //Recipients
        $mail->setFrom('noreply@justgivemeforfree.site', 'FormSubmit');
        $mail->addAddress($email);

        //Content
        $mail->isHTML(true);
        $mail->Subject = "New form submitted";
        $mail->Body = $body;
        $mail->send();
    } catch (Exception $e) {
        http_response_code(500);
    }
}
